fbpx

More support for JavaScript i18n in WordPress 5.5

GET UP TO $500K IN BUSINESS FUNDING

In WordPress 5.5, several legacy JavaScript localization variables have been removed in wp-admin in favor of using the modern form wp.i18n.__().

The i18n package was introduced with WordPress 5.0 to facilitate JavaScript and dynamic UIs translation. It was therefore possible to use it instead of other functions used for localization as wp_localize_script().

Several interfaces in wp-admin already use the functions and utilities provided by i18n for translatable strings. With WordPress 5.5, many others are now adopting this new approach.

Here are the related tickets for these changes on Trac: #50235, #50525, #50526, #50527, #50535, #50553, #50576, #50577, #50578, #50579, #50596,

This post was originally published on this site

BUILD A WEBSITE: RESOURCES

Pin It on Pinterest

Share This
Xiphos Web Marketing

FREE
VIEW